org.apache.cassandra.db.marshal

## Class CompositeType.Builder

- java.lang.Object
- - org.apache.cassandra.db.marshal.CompositeType.Builder

All Implemented Interfaces:
  ColumnNameBuilder

Enclosing class:
  CompositeType

    public static class CompositeType.Builder
    extends java.lang.Object
    implements ColumnNameBuilder

### Constructor Summary

Constructors
Constructor and Description
`CompositeType.Builder(CompositeType composite)`

### Method Summary

Methods
`CompositeType.Builder` `add(java.nio.ByteBuffer bb)` Add a new ByteBuffer as the next component for this name.
`java.nio.ByteBuffer` `build()` Build the column name.
`java.nio.ByteBuffer` `buildAsEndOfRange()` Build the column name so that the result sorts at the end of the range represented by this (uncomplete) column name.
`java.nio.ByteBuffer` `buildForRelation(Relation.Type op)`
`int` `componentCount()` Returns the number of component already added to this builder.
`CompositeType.Builder` `copy()` Clone this builder.
`java.nio.ByteBuffer` `get(int i)`
`java.nio.ByteBuffer` `getComponent(int i)` Returns the ith component added to this builder.
`int` `remainingCount()`
`static CompositeType.Builder` `staticBuilder(CompositeType composite)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompositeType.Builder

    public CompositeType.Builder(CompositeType composite)

### Method Detail

#### staticBuilder

    public static CompositeType.Builder staticBuilder(CompositeType composite)

#### add

    public CompositeType.Builder add(java.nio.ByteBuffer bb)

Description copied from interface: `ColumnNameBuilder`
Add a new ByteBuffer as the next component for this name.

Specified by:
  `add` in interface `ColumnNameBuilder`
Parameters:
  `bb` - the ByteBuffer to add
Returns:
  this builder

#### componentCount

    public int componentCount()

Description copied from interface: `ColumnNameBuilder`
Returns the number of component already added to this builder.

Specified by:
  `componentCount` in interface `ColumnNameBuilder`
Returns:
  the number of component in this Builder

#### remainingCount

    public int remainingCount()

Specified by:
  `remainingCount` in interface `ColumnNameBuilder`
Returns:
  the maximum number of component that can still be added to this Builder

#### get

    public java.nio.ByteBuffer get(int i)

Specified by:
  `get` in interface `ColumnNameBuilder`
Returns:
  the ith component in this builder.

#### build

    public java.nio.ByteBuffer build()

Description copied from interface: `ColumnNameBuilder`
Build the column name.

Specified by:
  `build` in interface `ColumnNameBuilder`
Returns:
  the built column name

#### buildAsEndOfRange

    public java.nio.ByteBuffer buildAsEndOfRange()

Description copied from interface: `ColumnNameBuilder`
Build the column name so that the result sorts at the end of the range represented by this (uncomplete) column name.

Specified by:
  `buildAsEndOfRange` in interface `ColumnNameBuilder`

#### buildForRelation

    public java.nio.ByteBuffer buildForRelation(Relation.Type op)

Specified by:
  `buildForRelation` in interface `ColumnNameBuilder`

#### copy

    public CompositeType.Builder copy()

Description copied from interface: `ColumnNameBuilder`
Clone this builder.

Specified by:
  `copy` in interface `ColumnNameBuilder`
Returns:
  the cloned builder.

#### getComponent

    public java.nio.ByteBuffer getComponent(int i)

Description copied from interface: `ColumnNameBuilder`
Returns the ith component added to this builder.

Specified by:
  `getComponent` in interface `ColumnNameBuilder`
Parameters:
  `i` - the component to return
Returns:
  the ith component added to this builder.